summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRémi BERTHO2017-11-08 21:12:00 +0100
committerRémi BERTHO2017-11-08 21:12:00 +0100
commit8f43209f65e985fc8a3b14455097b44f940e42fb (patch)
tree36f157fba32cf02cfc6c42d54058cd3efcd63cd2
downloadaur-8f43209f65e985fc8a3b14455097b44f940e42fb.tar.gz
Initial version : 4.4.0
-rw-r--r--.SRCINFO25
-rwxr-xr-xINSTALL12
-rwxr-xr-xPKGBUILD36
3 files changed, 73 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..e90a1095369
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,25 @@
+# Generated by mksrcinfo v8
+# Sun Nov 5 14:48:54 UTC 2017
+pkgbase = csuper-gtk
+ pkgdesc = Universal points counter allowing reflexion exemption - GTK version
+ pkgver = 4.4.0
+ pkgrel = 1
+ url = https://www.dalan.fr
+ install = INSTALL
+ arch = any
+ license = GPL
+ makedepends = cmake
+ depends = libxml++
+ depends = glibmm
+ depends = muparser
+ depends = podofo
+ depends = cairo
+ depends = ncurses
+ depends = libcsuper
+ depends = gtkmm3
+ optdepends = csuper-gtk
+ source = https://www.binaries.dalan.fr/Csuper/4.4.0/csuper-4.4.0-sources.tar.xz
+ sha512sums = 59a03fc63f6c1d778ce506f626c1ff9e5f7e6923db6ac8fb71ccada19523489411bd016f2819480bb3cc5dd49ab44b1a492206e2472720e3fe45557227870256
+
+pkgname = csuper-gtk
+
diff --git a/INSTALL b/INSTALL
new file mode 100755
index 00000000000..c0f1aedafbe
--- /dev/null
+++ b/INSTALL
@@ -0,0 +1,12 @@
+post_install() {
+ update-mime-database usr/share/mime &> /dev/null
+ [[ -x usr/bin/update-desktop-database ]] && update-desktop-database -q || true
+}
+
+post_upgrade() {
+ post_install
+}
+
+post_remove() {
+ post_install
+}
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100755
index 00000000000..87b541a8770
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,36 @@
+# Maintainer: Rémi BERTHO <remi.bertho@dalan.fr>
+# Contributor: Rémi BERTHO <remi.bertho@dalan.fr>
+pkgname=csuper-gtk
+pkgver=4.4.0
+pkgrel=1
+pkgdesc="Universal points counter allowing reflexion exemption - GTK version"
+arch=(any)
+url="https://www.dalan.fr"
+license=('GPL')
+depends=('libxml++' 'glibmm' 'muparser' 'podofo' 'cairo' 'ncurses' 'libcsuper' 'gtkmm3')
+optdepends=('csuper-gtk')
+makedepends=('cmake')
+install="INSTALL"
+source=(https://www.binaries.dalan.fr/Csuper/$pkgver/csuper-$pkgver-sources.tar.xz)
+sha512sums=('59a03fc63f6c1d778ce506f626c1ff9e5f7e6923db6ac8fb71ccada19523489411bd016f2819480bb3cc5dd49ab44b1a492206e2472720e3fe45557227870256')
+
+build()
+{
+ cd "$srcdir/csuper-$pkgver-sources"
+ cmake -G"Unix Makefiles" \
+ -DALL_UPDATES=FALSE \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_SKIP_RPATH=True \
+ -DLIB=FALSE \
+ -DCLI=FALSE \
+ -DLIBXMLPP=3.0 || return 1
+ make || return 1
+ sh utility.sh -c
+}
+
+package()
+{
+ cd "$srcdir/csuper-$pkgver-sources"
+ make install DESTDIR="${pkgdir}"
+}